=== debian/changelog ===
tgt (1:1.0.0-2) unstable; urgency=low

  * Depend on sg3-utils. (Closes: #565168)

 -- Frederik Schüler <fs@debian.org>  Tue, 19 Jan 2010 19:36:40 +0100

tgt (1:1.0.0-1) unstable; urgency=low
  
  * New upstream release.
    - Drop GPL digest patch, upstream has other implementation.
  * Add dependency on libconfig-general-perl. (Closes: #560710)
  * Build iSER driver, too.

 -- Frederik Schüler <fs@debian.org>  Thu, 24 Dec 2009 16:34:17 +0100

tgt (1:0.9.11-1) unstable; urgency=low

  [ Ben Hutchings ]
  * New upstream version (Closes: #501149)
    - Adds -D_GNU_SOURCE to compiler options (Closes: #526562)
  * Add myself to Uploaders
  * Fix syntax of usage messages (Closes: #493375)
  * Use GPL-compatible digest code instead of OpenSSL (Closes: #556294)
  * Update Standards-Version to 3.8.3
    - Add Homepage field
  * Enable FCoE driver
  * Update package description
    - Fix grammar
    - Mention 'SCSI' in the short description
    - Update list of drivers

  [ Frederik Schüler ]
  * Switch to debhelper 7.

 -- Frederik Schüler <fs@debian.org>  Wed, 09 Dec 2009 10:29:39 +0100

tgt (20070924-1) unstable; urgency=low

  [ Frederik Schüler ]
  * Initial release (Closes: #436320)

 -- Frederik Schüler <fs@debian.org>  Mon, 24 Sep 2007 20:04:05 +0200
