=== debian/control ===
Source: tgt
Section: net
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Frederik Schüler <fs@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Build-Depends: debhelper (>= 7), libibverbs-dev, librdmacm-dev
Standards-Version: 3.8.3
Homepage: http://stgt.berlios.de/

Package: tgt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconfig-general-perl, sg3-utils
Description: Linux SCSI target user-space tools
 The Linux target framework (tgt) allows a Linux system to provide SCSI
 devices (targets) over networked SCSI transports.
 .
 Tgt consists of kernel modules, user-space daemon, and user-space
 This package contains the user-space daemon and tools; a recent Linux
 kernel is required for the modules.
 .
 This package includes drivers for:
 .
  - FCoE (Fibre Channel over Ethernet)
  - iSCSI (SCSI over IP)
  - iSER (iSCSI over RDMA, using Infiniband)
 .
