=== debian/changelog ===
tgt (1:1.0.4-2squeeze1) stable-security; urgency=high

  * iscsi: fix buffer overflow before login (CVE-2011-0001)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 21 Mar 2011 03:21:17 +0000

tgt (1:1.0.4-2) unstable; urgency=low

  * Fix bashism in tgt-admin, thanks to Chris Cheney (Closes: #589716)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 05 Sep 2010 22:13:52 +0100

tgt (1:1.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Frederik Schüler <fs@debian.org>  Wed, 05 May 2010 09:04:59 +0200

tgt (1:1.0.3-2) unstable; urgency=low

  * Fix Format string vulnerability CVE-2010-0743.
    (Closes: #576086)

 -- Frederik Schüler <fs@debian.org>  Tue, 13 Apr 2010 10:54:19 +0200

tgt (1:1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.4, no changes needed.
  * Drop patches/tgtadm-usage-metasyntax.
  * Add parallel build ability to debian/rules.
  * Add watch file.

 -- Frederik Schüler <fs@debian.org>  Mon, 29 Mar 2010 13:09:33 +0200
