=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Frederik Schüler <fs@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Build-Depends: debhelper (>= 7), libibverbs-dev, librdmacm-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://stgt.berlios.de/
 
 Package: tgt
