## tgt 1.0.13

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.4
+VERSION ?= 1.0.13
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'
@@ -10,7 +10,7 @@
 export VERSION PREFIX
 
 # Export the feature switches so sub-make knows about them
-export ISCSI ISCSI_RDMA IBMVIO FCOE FCP
+export ISCSI_RDMA IBMVIO FCOE FCP
 
 .PHONY: all
 all: programs doc conf scripts
