=== usr/Makefile ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 ifneq ($(shell test -e /usr/include/linux/signalfd.h && echo 1),)
 CFLAGS += -DUSE_SIGNALFD
+endif
+
+ifneq ($(shell test -e /usr/include/sys/timerfd.h && echo 1),)
+CFLAGS += -DUSE_TIMERFD
 endif
 
 ifneq ($(IBMVIO),)
@@ -10,18 +14,14 @@
 TGTD_OBJS += bs_mmap.o tgtif.o
 endif
 
-ifneq ($(ISCSI),)
-CFLAGS += -DISCSI
 TGTD_OBJS += $(addprefix iscsi/, conn.o param.o session.o \
 		iscsid.o target.o chap.o sha1.o md5.o transport.o iscsi_tcp.o \
 		isns.o)
 TGTD_OBJS += bs_rdwr.o bs_aio.o
 
 ifneq ($(ISCSI_RDMA),)
-CFLAGS += -DISCSI_RDMA
-TGTD_OBJS += iscsi/iscsi_rdma.o
+TGTD_OBJS += iscsi/iser.o iscsi/iser_text.o
 LIBS += -libverbs -lrdmacm
-endif
 endif
 
 ifneq ($(FCP),)
@@ -53,7 +53,12 @@
 
 CFLAGS += -D_GNU_SOURCE
 CFLAGS += $(INCLUDES)
-CFLAGS += -g -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -fPIC
+ifneq ($(DEBUG),)
+CFLAGS += -g -O0 -ggdb -rdynamic
+else
+CFLAGS += -g -O2 -fno-strict-aliasing
+endif
+CFLAGS += -Wall -Wstrict-prototypes -fPIC
 CFLAGS += -DTGT_VERSION=\"$(VERSION)$(EXTRAVERSION)\"
 
 LIBS += -lpthread
