=== debian/changelog ===
tgt (1:1.0.13-0ubuntu2) natty; urgency=low

  * debian/upstart: Add respawn to upstart job. (LP: #715686) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 14 Feb 2011 10:31:26 -0500

tgt (1:1.0.13-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/patches/make-tgt-setup-lun-executable: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Feb 2011 10:31:04 -0500

tgt (1:1.0.4-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/upstart: Add upstart job.
    - Dropped:
      + debian/patches/scripts-tgt-admin: Use debian's instead.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Sep 2010 16:19:59 +0100

tgt (1:1.0.4-1ubuntu4) maverick; urgency=low

  * debian/upstart: Corrected typo with post-start command; Resolving 
    "unknown job" error. (LP: #574554)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 09 Aug 2010 23:49:42 +0100

tgt (1:1.0.4-1ubuntu3) maverick; urgency=low

  * tgtd target will not start unless it's configured with "allow-in-use yes"
    (LP: 605721)

 -- Chris Cheney <ccheney@ubuntu.com>  Tue, 20 Jul 2010 04:29:56 -0500

tgt (1:1.0.4-1ubuntu2) maverick; urgency=low

  * debian/usptart: Add post-start exec to upstart script. (LP: #574554) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 16 Jul 2010 10:47:33 -0400

tgt (1:1.0.4-1ubuntu1) maverick; urgency=low

  * debian/rules, debian/tgt.tgtd.upstart: Add upstart script. (LP: #574554) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Jun 2010 10:22:39 -0400
