=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 MANPAGES = manpages/tgtadm.8 manpages/tgt-admin.8 manpages/tgtimg.8 \
 		manpages/tgt-setup-lun.8 manpages/tgtd.8
 
-DOCS = README.fcoe README.ibmvstgt README.iscsi README.iser \
+DOCS = README.fcoe README.iscsi README.iser \
 	    README.lu_configuration README.mmc tmf.txt
 
 XSLTPROC = /usr/bin/xsltproc
