=== debian/changelog ===
tgt (1:1.0.17-1ubuntu2) precise; urgency=low

  * change /etc/tgt/tgt.conf to support adding config.d format
    snippets in /etc/tgt/conf.d (LP: #978507)
  * start tgt on installation (LP: #977621)
  * stop tgt on shutdown (LP: #820699)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 10 Apr 2012 23:11:00 -0400

tgt (1:1.0.17-1ubuntu1) oneiric; urgency=low

  * Merge from debian remaining changes: 
    - debian/usptart: Add upstart job.
    - Dropped:
      - debian/patches/CVE-2011-0001.patch: No longer needed, use debian instead.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Aug 2011 04:45:03 -0400

tgt (1:1.0.17-1) unstable; urgency=low

  * New upstream release.

 -- Frederik Schüler <fs@debian.org>  Tue, 21 Jun 2011 11:44:56 +0200

tgt (1:1.0.4-3) unstable; urgency=high

  * iscsi: fix buffer overflow before login (CVE-2011-0001)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 21 Mar 2011 03:32:59 +0000

tgt (1:1.0.13-0ubuntu3) oneiric; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    double free in iscsi_rx_handler function
    - debian/patches/CVE-2011-0001.patch: make sure the received data isn't
      larger than INCOMING_BUFSIZE in usr/iscsi/iscsid.c.
    - CVE-2011-0001

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 21 Jun 2011 09:01:03 -0400
