=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: tgt
 Section: net
 Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 Uploaders: Frederik Schüler <fs@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Build-Depends: debhelper (>= 7), libibverbs-dev, librdmacm-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://stgt.berlios.de/
 
 Package: tgt
