=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	dh_testroot
 	dh_installchangelogs 
 	dh_installdocs
+	dh_installinit -u"start 89 2 3 4 5 . stop 11 1 ."
 	dh_link
 	dh_strip
 	dh_compress
