=== debian/watch ===
version=3
opts="uversionmangle=s/-/./g" http://stgt.sourceforge.net/releases/tgt-([[:digit:].-]*)\.tar\.gz
