=== debian/changelog ===
tgt (1:1.0.38-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - d/p/include-rbd-docs.patch,example-config-use-conf-dot-dee:
      Dropped, included upstream.
    - Refreshed other patches.
  * d/watch: Really update to track github repository for releases.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Aug 2013 17:38:27 +0100

tgt (1:1.0.37-0ubuntu1) saucy; urgency=low

  * Merge from Debian unstable:
    - d/control: Drop depends on lsb-base; handled by debhelper.
  * d/watch: Updated to track github upstream repository.
  * New upstream release (LP: #1191180):
    - d/control: Add xsltproc and docbook-xsl to BD's.
    - d/p: Refreshed and tidied patches.
  * Enable support for Ceph RBD backend:
    - d/rules: Add CEPH_RBD=1 to options.
    - d/control: Add BD on librbd-dev.
    - d/p/include-rbd-docs.patch: Include README.rbd docs.
  * Switch to debhelper compat level 8:
    - d/rules: Rewrite to use debhelper overrides.
    - d/compat,control: Bump compat level and minimum version
      requirement for debhelper.

 -- James Page <james.page@ubuntu.com>  Tue, 18 Jun 2013 13:08:34 +0100

tgt (1:1.0.17-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adds an init script:
    - Depends: lsb-base
    - Adds dh_installinit call in debian/rules
    - adds debian/init

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2013 23:25:08 +0800

tgt (1:1.0.17-1ubuntu4) saucy; urgency=low

  * d/tests: added dep-8-tests

 -- Yolanda <yolanda.robla@canonical.com>  Tue, 21 May 2013 10:41:18 +0200

tgt (1:1.0.17-1ubuntu3) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 23:02:42 +0100
