=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Frederik Schüler <fs@debian.org>, Ben Hutchings <ben@decadent.org.uk>
-Build-Depends: debhelper (>= 7), libibverbs-dev, librdmacm-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8~), libibverbs-dev, librdmacm-dev, librbd-dev,
+ xsltproc, docbook-xsl
+Standards-Version: 3.9.4
 Homepage: http://stgt.berlios.de/
+XS-Testsuite: autopkgtest
 
 Package: tgt
 Architecture: any
