## tgt 1.0.43

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.38
+VERSION ?= 1.0.43
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'
@@ -66,14 +66,18 @@
 
 .PHONY: rpm
 rpm:
-	@./scripts/build-rpm.sh
+	@./scripts/build-pkg.sh rpm
 
-.PHONY: clean-rpm
-clean-rpm:
-	rm -fr rpmtop
+.PHONY: deb
+deb:
+	@./scripts/build-pkg.sh deb
 
 .PHONY: clean
-clean: clean-programs clean-doc clean-conf clean-scripts clean-rpm
+clean-pkg:
+	rm -fr pkg
+
+.PHONY: clean
+clean: clean-programs clean-doc clean-conf clean-scripts clean-pkg
 
 .PHONY:check
 check: ARCH=$(shell sh script/checkarch.sh)
@@ -89,3 +93,7 @@
 check64: override ARCH=-m64
 check64:
 	CC=$(CHECK_CC_FLAGS) $(MAKE) all
+
+cscope:
+	find -name '*.[ch]' > cscope.files
+	cscope -bq
