=== debian/changelog ===
tgt (1:1.0.43-0ubuntu4) trusty; urgency=medium

  * debian/patches/fix_delayed_management_request.patch: Adjust patch to fix
    a FTBFS.
  * debian/patches/fix_leak_of_task_in_scsi_flag.patch: Adjust patch to fix
    a FTBFS.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Apr 2014 09:14:03 -0400

tgt (1:1.0.43-0ubuntu3) trusty; urgency=medium

  * Fix tgt connection issues under heavy load (LP: #1305343)
    - debian/patches/fix_delayed_management_request.patch: Fix a crash
      of tgtd which occured when removing a target with the --force option
      (https://github.com/fujita/tgt/commit/e6e8d0fd3b83208278fb7ed765c3665ae7c5ab49)
    - debian/patches/fix_leak_of_task_in_scsi_flag.patch: Clear task_in_scsi flag 
      when exiting iscsi_tm_execute() and iser_tm_exec() functions. 
      (https://github.com/fujita/tgt/commit/05fc2cb424863fbf2f3c60a8b617308ef1e370c5)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Apr 2014 19:35:20 -0400

tgt (1:1.0.43-0ubuntu2) trusty; urgency=medium

  * d/p/fix-config-regression.patch: Cherry picked fix from upstream VCS
    to resolve regression on configuration of control port.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Jan 2014 15:11:35 +0000

tgt (1:1.0.43-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Jan 2014 12:05:08 +0000

tgt (1:1.0.41-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - debian/patches/fix-tgt-admin-bashism: Dropped, included upstream.
  * d/control,rules,bash-completion: Enable bash completion support
    for tgt commands.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Nov 2013 15:00:10 +0000
