=== debian/tests/control ===
Tests: daemon admin
Depends: @
Restrictions: needs-root
