=== debian/watch ===
version=3
https://github.com/fujita/tgt/tags .*/v(.*).tar.gz
