=== usr/Makefile ===
--- 
+++ 
@@ -15,6 +15,10 @@
 
 ifneq ($(CEPH_RBD),)
 MODULES += bs_rbd.so
+endif
+
+ifneq ($(GLFS_BD),)
+MODULES += bs_glfs.so
 endif
 
 ifneq ($(shell test -e /usr/include/sys/eventfd.h && test -e /usr/include/libaio.h && echo 1),)
@@ -88,6 +92,9 @@
 bs_rbd.so: bs_rbd.c
 	$(CC) -shared $(CFLAGS) bs_rbd.c -o bs_rbd.so -lrados -lrbd
 
+bs_glfs.so: bs_glfs.c
+	$(CC) -I/usr/include/glusterfs/api -shared $(CFLAGS) bs_glfs.c -o bs_glfs.so -lgfapi
+
 .PHONY: install
 install: $(PROGRAMS) $(MODULES)
 	install -d -m 755 $(DESTDIR)$(sbindir)
