=== debian/changelog ===
tgt (1:1.0.47-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Drop RBD support (librados and librbd unavailable in wheezy).
  * Drop GlusterFS support (headers absent in wheezy's glusterfs-common).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 28 May 2014 15:32:50 +0300

tgt (1:1.0.47-1) unstable; urgency=medium

  * New upstream release.
  * Friendly takeover, encouraged by the previous maintainers. Thanks to
    Frederik Schüler and Ben Hutchings for maintaining tgt!
  * Update debian/ copyright information
  * control: switch Vcs-* to collab-maint
  * Remove redundant librados-dev build-dependency, it is pulled in by
    librbd-dev.
  * tgt Suggests: tgt-glusterfs, tgt-rbd

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 21 May 2014 23:19:12 +0300

tgt (1:1.0.46-1) unstable; urgency=medium

  * New upstream version
    + Drop existing patches that were merged upstream
      - CVE-2011-0001
      - fix-tgt-admin-bashism
      - make-tgt-setup-lun-executable
    + Refresh conf-makefile patch
    + Build-depend on xsltproc and docbook-xsl to build the manpages
    + Remove FCOE and ISCSI feature parameters from debian/rules; FCOE support
      has been dropped as of 1.0.19 and ISCSI is always built-in.
  * Add myself to Uploaders, as discussed with Ben Hutchings.
  * New patches
    + use-dpkg-buildflags.patch: use hardened build flags where applicable
      (closes: #656127)
    + use-docbook-xsl.patch: use the XSLT stylesheets from docbook-xsl instead
      of docbook.sf.net
    + do-not-build-html-manpages.patch: do not build the HTML version of the
      manpages
  * Update package descriptions (closes: #653067)
  * Convert debian/rules to dh sequencer
    + Simplify debian/rules and remove DEB_BUILD_OPTIONS handling which is now
      left up to dh
  * Build with ceph/rados support (closes: #714868)
    + New binary package, tgt-rbd, offering rbd support
    + Build-Depend on librados-dev and librbd-dev
  * Build with GlusterFS support
    + New binary package, tgt-glusterfs, offering GlusterFS support
    + Build-Depend on glusterfs-common
  * New binary package, tgt-dbg, containing debug symbols for tgt
  * Ship upstream's bash completion
    + Build-Depend on bash-completion
  * Add DEP-8 autopkgtests
    + Import the DEP-8 tests from Ubuntu. Thanks to Yolanda Robla and Barry
      Warsaw (closes: #710173, #710882)
    + Drop the bashisms in the imported autopkgtests
    + Drop the root-needed restriction, as it is not strictly required
    + Add a test to check the rbd and glusterfs loadable modules
  * Mark all packages as arch:linux-any
  * Bump standards to 3.9.5 and compat to 9
  * Update debian/watch to point to github
  * debian/init: provide self (fixes lintian info)
  * debian/copyright: update license information and convert to Format 1.0
  * Initial systemd support
  * Only restart tgt on upgrade when no initiators are connected

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 19 May 2014 15:41:46 +0300
