=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

FEATURES = ISCSI_RDMA=1

%:
	dh $@ --parallel --with systemd,bash-completion

override_dh_auto_build:
	$(MAKE) $(FEATURES)

override_dh_auto_install:
	$(MAKE) $(FEATURES) DESTDIR=$(CURDIR)/debian/tgt install

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/tgt/usr/lib

override_dh_strip:
	dh_strip --dbg-package=tgt-dbg

.PHONY: override_dh_auto_build override_dh_auto_install \
	override_dh_installinit override_dh_install \
	override_dh_strip
