=== usr/Makefile ===
--- 
+++ 
@@ -19,6 +19,10 @@
 
 ifneq ($(GLFS_BD),)
 MODULES += bs_glfs.so
+endif
+
+ifneq ($(SD_NOTIFY),)
+CFLAGS += -DUSE_SYSTEMD
 endif
 
 ifneq ($(shell test -e /usr/include/sys/eventfd.h && test -e /usr/include/libaio.h && echo 1),)
@@ -46,6 +50,10 @@
 CFLAGS += -DBSDIR=\"$(DESTDIR)$(libdir)/backing-store\"
 
 LIBS += -lpthread -ldl
+
+ifneq ($(SD_NOTIFY),)
+LIBS += -lsystemd-daemon
+endif
 
 PROGRAMS += tgtd tgtadm tgtimg
 TGTD_OBJS += tgtd.o mgmt.o target.o scsi.o log.o driver.o util.o work.o \
