=== debian/changelog ===
tgt (1:1.0.48-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Drop RBD support (librados and librbd unavailable in wheezy).
  * Drop GlusterFS support (headers absent in wheezy's glusterfs-common).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 10 Jun 2014 14:19:44 +0300

tgt (1:1.0.48-1) unstable; urgency=medium

  * New upstream release.
  * d/t/control: modules test needs isolation-container
  * Enable systemd notification support.
    + d/rules: compile with SD_NOTIFY=1
    + d/control: build-depend on libsystemd-daemon-dev
    + d/tgt.service: change type to "notify" and remove the sleep statement

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 02 Jun 2014 11:01:44 +0300
