=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev, xsltproc,
-               docbook-xsl, dh-systemd (>= 1.5), bash-completion
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/apoikos/tgt.git
-Vcs-Git: git://anonscm.debian.org/users/apoikos/tgt.git
+Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev (>= 1.0.16), xsltproc,
+               docbook-xsl, dh-systemd (>= 1.5), bash-completion,
+               libsystemd-daemon-dev
+Vcs-Git: git://anonscm.debian.org/collab-maint/tgt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/tgt.git;a=summary
 Standards-Version: 3.9.5
 Homepage: http://stgt.berlios.de/
 XS-Testsuite: autopkgtest
