=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-FEATURES = ISCSI_RDMA=1
+FEATURES = ISCSI_RDMA=1 SD_NOTIFY=1
 
 %:
 	dh $@ --parallel --with systemd,bash-completion
