=== debian/changelog ===
tgt (1:1.0.50-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Enable RBD support for the backports package (Closes: #761956)
  * Drop GlusterFS support (unavailable in wheezy)
  * B-D on libsystemd-daemon-dev instead of libsystemd-dev.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 17 Sep 2014 11:35:34 +0300

tgt (1:1.0.50-1) unstable; urgency=medium

  * New upstream version:
    + DOCS: add an example dvd jukebox script
    + MMC: add a dedicated backend for MMC so that supported-opcode map works
    + sheepdog: protocol update for reviving backward compatibility
    + sheepdog: support iSCSI multipath
  * Initscript improvements:
    + stop succeeds when not running (Closes: #758716)
    + Use status_of_proc (Closes: #759585)
    + Remove bashisms and use #!/bin/sh
    + Use a pidfile, created by start-stop-daemon
  * B-D on libsystemd-dev instead of libsystemd-daemon-dev and add a patch to
    link against libsystemd. Fixes build against systemd >= 209.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 15 Sep 2014 09:06:37 +0300

tgt (1:1.0.49-1) unstable; urgency=medium

  * New upstream version:
    + rbd: allow assing a libvirt secret UUID or a cephx_key to bsopts
    + sheepdog: add documentation
    + sheepdog: enable write caching
  * Build-depend on libdrmacm >= 1.0.16

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 23 Aug 2014 09:55:09 -0700
