=== debian/changelog ===
tgt (1:1.0.51-1) unstable; urgency=medium

  * New upstream version:
    + sheepdog: refresh invalidated inode in update_inode() path
    + sheepdog: set a flag indicating requests are from tgt
    + sheepdog: optimize reloading of inode
    + SMC: add a new volume_tag parameter to storage slots
    + SMC: add a smc backend template with an opcode whitelist
  * initscript: have stop always shutdown tgt, regardless of initiators being
    connected. Thus, forcedstop and stop are the same, also forcedrestart and
    restart. Note that during upgrades we only stop tgtd when no initiators
    are connected. (Closes: #762068)
  * Bump standards to 3.9.6; no changes needed.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 13 Oct 2014 15:31:30 +0300
