=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev (>= 1.0.16), xsltproc,
-               docbook-xsl, dh-systemd (>= 1.5), bash-completion,
-               libsystemd-daemon-dev, librados-dev, librbd-dev
+Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev (>= 1.0.16),
+               xsltproc, docbook-xsl, dh-systemd (>= 1.5), librbd-dev,
+               glusterfs-common, bash-completion, libsystemd-dev
 Vcs-Git: git://anonscm.debian.org/collab-maint/tgt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/tgt.git;a=summary
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://stgt.berlios.de/
 XS-Testsuite: autopkgtest
 
@@ -57,6 +57,29 @@
  This package enables tgt to use Ceph/RADOS block devices (RBD) as backing
  store for SCSI Logical Units.
 
+Package: tgt-glusterfs
+Architecture: linux-any
+Depends: tgt (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Linux SCSI target user-space daemon and tools - GlusterFS support
+ The Linux target framework (tgt) allows a Linux system to provide SCSI
+ devices (targets) over networked SCSI transports.
+ .
+ tgt consists of a user-space daemon and user-space tools currently
+ supporting the following transports:
+ .
+  - iSCSI (SCSI over IP)
+  - iSER (iSCSI over RDMA, using Infiniband)
+ .
+ tgt also supports different storage types for use as backing stores for SCSI
+ Logical Units:
+ .
+  - Plain files and block devices
+  - Ceph/RADOS RBD volumes
+  - GlusterFS volumes
+ .
+ This package enables tgt to use GlusterFS volumes as backing store for SCSI
+ Logical Units.
+
 Package: tgt-dbg
 Architecture: linux-any
 Section: debug
