=== debian/tests/control ===
Tests: daemon admin
Depends: tgt

Tests: modules
Depends: tgt, tgt-rbd, tgt-glusterfs
Restrictions: needs-root isolation-container
